roasOS
API referenceSkills

Get a skill

Read one saved skill, including the prompt it runs.

GET
/v1/skills/{id}

Read one saved skill, including the prompt it runs.

Authorization

bearerAuth
AuthorizationBearer <token>

API key authentication. Use your API key as the bearer token: Authorization: Bearer roasos_sk_...

In: header

Path Parameters

id*string
Formatuuid

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/skills/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "data": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "slug": "string",    "name": "string",    "description": "string",    "prompt": "string",    "use_count": 0,    "pack_version": 1,    "created_at": "2019-08-24T14:15:22Z",    "updated_at": "2019-08-24T14:15:22Z",    "kind": "guide",    "requires": {      "tools": [        "string"      ],      "host_features": [        "string"      ]    }  }}